Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Floating point exception problems
#1
Hi!
Im a new user, i wanted to try out pcsx2 but im on a 64bit distro.
I tried the chroot method but when I try to run Mana Khemia pcsx2 crashes with this log:
ninja edit: same output selecting No Disc :\

Quote:(oneiric_i386)root@frooze:/home/worm/pcsx2/pcsx2-svn/bin# sh ./launch_pcsx2_linux.sh
Interface is initializing. Entering Pcsx2App:OhmynInit!
Applying operating system default language...
Command line parsing...
Command line parsed!
(UserMode) Found portable install ini @ /home/worm/pcsx2/pcsx2-svn/bin/portable.ini
ZZogl-PG: Calling GSinit.
ZZogl-PG: GSinit finished.
ZZogl-PG: Calling GSopen2.
ZZogl-PG: Capturing ZZOgl window.
ZZogl-PG: Got Doublebuffered Visual!
Floating point exception

It happened to me with the SVN and the ppa version too, I tried to google a resolution but I didn't find it. Can someone help?

Here's my specs:
xubuntu 64bit oneiric, ati radeon 5470 (latest fglrx), It's a notebook.
Quote:PCSX2 0.9.9.r5140 - compiled on Apr 3 2012

Host Machine Init:
Operating System = Linux 3.0.0-17-generic i686
Physical RAM = 7862 MB
CPU name = Intel® Core™ i3 CPU M 370 @ 2.40GHz
Vendor/Model = GenuineIntel (stepping 05)
CPU speed = 2.391 ghz (4 logical threads)
x86PType = Standard OEM
x86Flags = bfebfbff 009ae3bd
x86EFlags = 28100000

x86 Features Detected:
MMX.. SSE.. SSE2.. SSE3.. SSSE3.. SSE4.1.. SSE4.2

Binding GS : /home/worm/pcsx2/pcsx2-svn/bin/plugins/libzzogl-0.3.0.so
Binding PAD : /home/worm/pcsx2/pcsx2-svn/bin/plugins/libPADnull.so
Binding SPU2 : /home/worm/pcsx2/pcsx2-svn/bin/plugins/libSPU2null.so
Binding CDVD : /home/worm/pcsx2/pcsx2-svn/bin/plugins/libCDVDlinuz.so
Binding USB : /home/worm/pcsx2/pcsx2-svn/bin/plugins/libUSBnull-0.7.0.so
Binding FW : /home/worm/pcsx2/pcsx2-svn/bin/plugins/libFWnull-0.7.0.so
Binding DEV9 : /home/worm/pcsx2/pcsx2-svn/bin/plugins/libdev9null-0.5.0.so
Reply

Sponsored links

#2
With ubuntu 12.04 and the multiarch feature, you will be able to install pcsx2 without any chroot.

I advice to properly configure the plugins first:
audio -> spu2x
pad -> onepad
Reply
#3
Thanks for the quick reply. I Configured the plugins as you said, was an oversight Smile
I guess I'll wait for the 12.04 and I'll keep on wondering why I had this error Laugh

Just a quick question, in the 12.04 I'll just need to force with apt-get install pcsx2-unstable:i386 (with the ppa)? I tried it in oneiric but even adding all the dependecies it keeps on asking me, I ended up with unmet dependencies. I wonder if it's because multiarch isn't completely implemented in the 11.10

Thanks anyway!
Reply
#4
Last time I saw this issue. It was due to the wrong audio plugins.

Yes you're right for multiarch. I send patches to fix issue on Oneiric. One guy told me that it is good on Precise. My advice is to upgrade to Precise now or in a week. From the scedule https://wiki.ubuntu.com/PrecisePangolin/ReleaseSchedule , everythings is nearly freeze anyway.
Reply
#5
I think I'll try 12.04 this evening Laugh
By the way I think most of my problems are because xubuntu (11.10 at least) shipped with pulseaudio but xfce doesn't support it. It's mostly dirty tricks to make them communicate.

Thanks for your support. I'll try to configure the audio plugin better before the big upgrade Smile
Reply
#6
I've installed the 12.04 64bit and everything works Laugh multiarch rocks!

thanks for your support!
Reply




Users browsing this thread: 1 Guest(s)